aboutsummaryrefslogtreecommitdiff
path: root/src/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh
diff options
context:
space:
mode:
authorGravatar jadep <jade.philipoom@gmail.com>2017-11-10 13:19:57 -0500
committerGravatar jadep <jade.philipoom@gmail.com>2017-11-12 15:01:59 -0500
commit795d24349b9aca1d9732c7b7fcaa505f24fa4bc6 (patch)
treef517d6c4e83f42e72a303e06567f779c0250fc2e /src/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh
parent7ad53a35ed68777cd21226998a88494e1d97c63e (diff)
new autogenerated files
Diffstat (limited to 'src/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh')
-rwxr-xr-xsrc/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/src/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh b/src/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh
new file mode 100755
index 000000000..dde744006
--- /dev/null
+++ b/src/Specific/montgomery32_2e213m3_7limbs/compilerxx.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eu
+
+clang++ -fbracket-depth=999999 -march=native -mtune=native -std=gnu++11 -O3 -flto -fuse-ld=lld -fomit-frame-pointer -fwrapv -Wno-attributes -fno-strict-aliasing -Da24_hex='0x3039' -Da24_val='12345' -Da_minus_two_over_four_array='{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x39}' -Dbitwidth='32' -Dlimb_weight_gaps_array='{32,32,32,32,32,32,32}' -Dmodulus_array='{0x1f,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xfd}' -Dmodulus_bytes_val='27' -Dmodulus_limbs='7' -Dq_mpz='(1_mpz<<213) - 3' "$@"